# file.copy

Makes a copy of a file

Syntax

    file.copy [-o] <source> <destination>

Description

Makes a copy of the <source> file as <destination>.
If the [-o] switch is used , the <destination> file is overwritten , if already exists.
With no [-o] switch , this command does not overwrite files.
The destination path must be already existing: if you want to ensure this, use $file.mkdir first.
The paths (<source> and <destination>) are adjusted according to the system that KVIrc is running on so you don't have to bother about portability: it *should* be automatically guaranteed. Just use UNIX style paths for them.

See also
file.rename, $file.exists()

Main index, Command index

KVirc 3.0.0 documentation
Generated by root at Thu Apr 29 12:41:05 2004